Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.sort
Class CodepointCollator

    java.lang.Object
      net.sf.saxon.sort.CodepointCollator

All Implemented Interfaces:
  java.util.Comparator, java.io.Serializable, SubstringMatcher

public class CodepointCollator
extends java.lang.Object
implements java.util.Comparator, SubstringMatcher, java.io.Serializable

A collating sequence that uses Unicode codepoint ordering

See Also:
  Serialized Form

Constructor Summary
`CodepointCollator()`

Method Summary
`int` | `compare(java.lang.Object a, java.lang.Object b)` Compare two string objects.
`int` | `compareCS(java.lang.CharSequence a, java.lang.CharSequence b)` Compare two CharSequence objects.
`boolean` | `contains(java.lang.String s1, java.lang.String s2)` Test whether one string contains another, according to the rules of the XPath contains() function
`boolean` | `endsWith(java.lang.String s1, java.lang.String s2)` Test whether one string ends with another, according to the rules of the XPath ends-with() function
`static CodepointCollator` | `getInstance()`
`boolean` | `startsWith(java.lang.String s1, java.lang.String s2)` Test whether one string starts with another, according to the rules of the XPath starts-with() function
`java.lang.String` | `substringAfter(java.lang.String s1, java.lang.String s2)` Return the part of a string after a given substring, according to the rules of the XPath substring-after() function
`java.lang.String` | `substringBefore(java.lang.String s1, java.lang.String s2)` Return the part of a string before a given substring, according to the rules of the XPath substring-before() function

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### CodepointCollator

    public CodepointCollator()

Method Detail

### getInstance

    public static CodepointCollator getInstance()

### compare

    public int compare(java.lang.Object a,
                       java.lang.Object b)

  Compare two string objects.

  Specified by:
    `compare` in interface `java.util.Comparator`
  Returns:
    <0 if a0 if a>b
  Throws:
    `java.lang.ClassCastException` - if the objects are of the wrong type for this Comparer

### compareCS

    public int compareCS(java.lang.CharSequence a,
                         java.lang.CharSequence b)

  Compare two CharSequence objects. This is hand-coded to avoid converting the objects into Strings.

  Returns:
    <0 if a0 if a>b
  Throws:
    `java.lang.ClassCastException` - if the objects are of the wrong type for this Comparer

### contains

    public boolean contains(java.lang.String s1,
                            java.lang.String s2)

  Test whether one string contains another, according to the rules of the XPath contains() function

  Specified by:
    `contains` in interface `SubstringMatcher`
  Parameters:
    `s1` - the containing string
    `s2` - the contained string
  Returns:
    true iff s1 contains s2

### endsWith

    public boolean endsWith(java.lang.String s1,
                            java.lang.String s2)

  Test whether one string ends with another, according to the rules of the XPath ends-with() function

  Specified by:
    `endsWith` in interface `SubstringMatcher`
  Parameters:
    `s1` - the containing string
    `s2` - the contained string
  Returns:
    true iff s1 ends with s2

### startsWith

    public boolean startsWith(java.lang.String s1,
                              java.lang.String s2)

  Test whether one string starts with another, according to the rules of the XPath starts-with() function

  Specified by:
    `startsWith` in interface `SubstringMatcher`
  Parameters:
    `s1` - the containing string
    `s2` - the contained string
  Returns:
    true iff s1 starts with s2

### substringAfter

    public java.lang.String substringAfter(java.lang.String s1,
                                           java.lang.String s2)

  Return the part of a string after a given substring, according to the rules of the XPath substring-after() function

  Specified by:
    `substringAfter` in interface `SubstringMatcher`
  Parameters:
    `s1` - the containing string
    `s2` - the contained string
  Returns:
    the part of s1 that follows the first occurrence of s2

### substringBefore

    public java.lang.String substringBefore(java.lang.String s1,
                                            java.lang.String s2)

  Return the part of a string before a given substring, according to the rules of the XPath substring-before() function

  Specified by:
    `substringBefore` in interface `SubstringMatcher`
  Parameters:
    `s1` - the containing string
    `s2` - the contained string
  Returns:
    the part of s1 that precedes the first occurrence of s2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD